Bug 55426 - RFE: preset a list of partitions that have not been flagged for formatting
RFE: preset a list of partitions that have not been flagged for formatting
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-10-30 20:19 EST by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-30 20:19:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
when installing rh7.2 I come across this dialog:

 -----------| Format ? |------------
You have chosen not to format a pre-existing
partition which is being mounted under a system
directory. Unless you have particular needs to
preserve data on this partition, it is highly
recommended you format this partition to
guarantee the data formerly on the partition
does not corrupt you new installation.

Are you sure you want to do this ?

  No         Yes

at this point I was /really/ sure I do not wanted to format
this partition...
but I cannot make *any* sense of this dialog, it seems the
title ask one thing and the final question the reverse...

two problems with this dialog: too much verbose and utterly confused.

now, look at the final question:

"Are you sure you want to do this ?"

to do what ?
what the title ("Format ?") say ?
or what the (extremely verbose) paragraf *seems* to imply ?

so, at that point I choose to ignore the paragraf and concentrate
in the title:

 -----------| Format ? |------------
Are you sure you want to do this ?

  No         Yes

(with my hands ready for quick ctrl-alt-del)
I choose "No" and anaconda take me back at the druid app,
which confuses me even more...
at that point, I hit reset, and the next time I choosed
the good old fdisk, and all went ok...

this is proof that as usability expert, matt wilson is a
great hacker  8)

seriously, this just cry for a usability expert 
(who know NOTHING about programming) at redhat...


Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. upgrade from rh7.1 (with the fstab label bug) to 7.2
2. choose disk druid as the partition app
3. choose no at the format question

Actual Results:  utterly confusing, inconsistent and verbose dialog

Expected Results:  a clear, consistent and short dialog

Additional info:

I'm not a usability guy, so you may disregard this try:

--------| Avoid Format ? |---------

Avoiding to format a pre-existing partition
may corrupt your new installation.

Are you sure you want to avoid to format
the partition ?

  Yes       No

maybe this is more clear, but I'm not happy
as is a double negative type of question...
(something you should avoid like the plague in UI)
Comment 1 Brent Fox 2001-10-30 23:29:44 EST
Comment 2 Mark Levitt 2001-11-01 05:53:00 EST
Hmm. As a technical writer and UI wonk, I'll give this a try. :)

I don't think the dialog box is too wordy per-say, it just needs a clearer
explanation, and the question needs to be clearer.

--| Continue without formatting a partition? |------
You have chosen to use a pre-existing
partition for this installation without formatting it. 

RedHat recommends that you format this partition
to make sure files from a previous operating system installation
do not cause problems with this installation of Linux.

However, you should continue without formatting this
partition if it contains files you need to keep such as
user's home directories.

Are you sure you want to continue without formatting the partition ?

  Yes        No

Ideally, it would be nice if the dialog box displayed the partition it was
asking about, and be able to handle more than one partition (rather than ask
multiple times).


Comment 3 Brent Fox 2001-11-01 17:41:27 EST
   Yes, Matt is a great hacker.  And yes, we need a usability expert.  But UI
experts are hard to find and expensive to employ.  Sort of like Matt.  ;)
Comment 4 Brent Fox 2001-11-01 18:52:06 EST
melevittfl, your mastery of language is appreciated.  I have updated the text in
CVS based on your recommendations.  
I'm going to leave this bug open in case we decide to implement a list that
presents all the partitions that have not been selected to format.

Thanks for your report.
Comment 5 Brent Fox 2001-11-01 18:53:39 EST
Changing summary field to RFE:
Comment 6 Need Real Name 2001-11-02 07:02:23 EST
bfox, I'm cheap...  ;)

melevittfl, your suggestion is good (maybe too verbose for my taste, but good)

another thing I forget to mention, is that you *always* should put buttons
in the order Yes/No (never in the order No/Yes, worse if you mix orders),
(the principle of least surprise)
and the "recommended" button should be focused...
(note that the original dialog has No/Yes order)

Comment 7 Michael Fulbright 2002-03-26 12:29:15 EST
Deferring to future release.
Comment 8 Red Hat Bugzilla 2006-02-21 13:48:13 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.